summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-libs/leptonica')
-rw-r--r--media-libs/leptonica/Manifest4
-rw-r--r--media-libs/leptonica/files/.svn/entries62
-rw-r--r--media-libs/leptonica/files/.svn/text-base/leptonica-build-shared.diff.svn-base32
-rw-r--r--media-libs/leptonica/files/leptonica-build-shared.diff32
-rw-r--r--media-libs/leptonica/leptonica-1.67.ebuild54
5 files changed, 184 insertions, 0 deletions
diff --git a/media-libs/leptonica/Manifest b/media-libs/leptonica/Manifest
new file mode 100644
index 0000000..13d755d
--- /dev/null
+++ b/media-libs/leptonica/Manifest
@@ -0,0 +1,4 @@
+AUX leptonica-build-shared.diff 1123 RMD160 e4b621c406d143214d2d0c8cb4ff7fa6173ede25 SHA1 9dc0b648e4c6cea27eb4108652ce12e36360a759 SHA256 e382e206797fb179cf2fecb38a89f40257f2879e27bea614d460a0fc61dc76e7
+DIST leptonlib-1.67.tar.gz 6618905 RMD160 0b0d9e9055400376239e74b9b13036857bc90ab4 SHA1 3240ae930784b79eb75058cf8cd0d02baa9627e8 SHA256 708ee1792835bc6bbf5ed254d439c42de87e44660c83e102491fa5a3f7f04227
+EBUILD leptonica-1.67.ebuild 1196 RMD160 52110179a6b8347e168a2b48f3840d19a5b43e43 SHA1 4cd7055124275dc5f45fbe062936c5f7f8d7a638 SHA256 ac864c08184511d27ca9591669e744e191360a5654db1b0746750f5e62ccfe69
+MISC leptonica-1.67.ebuild~ 1287 RMD160 108442a37dff1d2c5602262a97c797797c0d4698 SHA1 66e03b96586e78e3287446f3cdd221fc6f9092a2 SHA256 fbecb49d6e0d1e7b944196ee5376736014aa7eaad1593c767a700b00b371318d
diff --git a/media-libs/leptonica/files/.svn/entries b/media-libs/leptonica/files/.svn/entries
new file mode 100644
index 0000000..1056875
--- /dev/null
+++ b/media-libs/leptonica/files/.svn/entries
@@ -0,0 +1,62 @@
+10
+
+dir
+11759
+svn://overlays.gentoo.org/proj/sunrise/reviewed/media-libs/leptonica/files
+svn://overlays.gentoo.org/proj/sunrise
+
+
+
+2009-12-19T17:58:40.109496Z
+9749
+tommy
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+12608f7e-a915-0410-b2f3-ce240db1b126
+
+leptonica-build-shared.diff
+file
+
+
+
+
+2011-02-01T12:32:42.516666Z
+b3470e5bfe7be07fd0087bbceea0d755
+2009-12-19T17:58:40.109496Z
+9749
+tommy
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+1123
+
diff --git a/media-libs/leptonica/files/.svn/text-base/leptonica-build-shared.diff.svn-base b/media-libs/leptonica/files/.svn/text-base/leptonica-build-shared.diff.svn-base
new file mode 100644
index 0000000..e326373
--- /dev/null
+++ b/media-libs/leptonica/files/.svn/text-base/leptonica-build-shared.diff.svn-base
@@ -0,0 +1,32 @@
+Simple patch to build shared library using autotools.
+Additionally removes inappropriate declaration of 'CFLAGS'.
+
+diff -dupr leptonlib-1.62.orig/src/Makefile.am leptonlib-1.62/src/Makefile.am
+--- leptonlib-1.62.orig/src/Makefile.am 2009-12-16 18:49:59.800517773 +0100
++++ leptonlib-1.62/src/Makefile.am 2009-12-16 18:50:19.629265044 +0100
+@@ -6,10 +6,9 @@ SUBDIRS =
+ MAKE = make -f Makefile
+ AM_CFLAGS = -D_BSD_SOURCE -DANSI -fPIC
+ AM_CPPFLAGS = $(ENDIANNESS)
+-CFLAGS = -O2
+
+-lib_LIBRARIES = liblept.a
+-liblept_a_SOURCES = adaptmap.c \
++lib_LTLIBRARIES = liblept.la
++liblept_la_SOURCES = adaptmap.c \
+ affine.c affinecompose.c \
+ arithlow.c arrayaccess.c \
+ bardecode.c \
+diff -dupr leptonlib-1.62.orig/configure.ac leptonlib-1.62/configure.ac
+--- leptonlib-1.62.orig/configure.ac 2009-12-16 18:54:31.012265321 +0100
++++ leptonlib-1.62/configure.ac 2009-12-16 18:55:06.954265636 +0100
+@@ -114,7 +114,8 @@ AC_C_BIGENDIAN
+
+ # Check where all the following programs are and set
+ # variables accordingly:
+-AC_PROG_RANLIB
++AC_DISABLE_STATIC
++AC_PROG_LIBTOOL
+ # AC_PROG_LN_S
+ # AC_PATH_PROG(MV, mv)
+ # AC_PATH_PROG(CP, cp)
diff --git a/media-libs/leptonica/files/leptonica-build-shared.diff b/media-libs/leptonica/files/leptonica-build-shared.diff
new file mode 100644
index 0000000..e326373
--- /dev/null
+++ b/media-libs/leptonica/files/leptonica-build-shared.diff
@@ -0,0 +1,32 @@
+Simple patch to build shared library using autotools.
+Additionally removes inappropriate declaration of 'CFLAGS'.
+
+diff -dupr leptonlib-1.62.orig/src/Makefile.am leptonlib-1.62/src/Makefile.am
+--- leptonlib-1.62.orig/src/Makefile.am 2009-12-16 18:49:59.800517773 +0100
++++ leptonlib-1.62/src/Makefile.am 2009-12-16 18:50:19.629265044 +0100
+@@ -6,10 +6,9 @@ SUBDIRS =
+ MAKE = make -f Makefile
+ AM_CFLAGS = -D_BSD_SOURCE -DANSI -fPIC
+ AM_CPPFLAGS = $(ENDIANNESS)
+-CFLAGS = -O2
+
+-lib_LIBRARIES = liblept.a
+-liblept_a_SOURCES = adaptmap.c \
++lib_LTLIBRARIES = liblept.la
++liblept_la_SOURCES = adaptmap.c \
+ affine.c affinecompose.c \
+ arithlow.c arrayaccess.c \
+ bardecode.c \
+diff -dupr leptonlib-1.62.orig/configure.ac leptonlib-1.62/configure.ac
+--- leptonlib-1.62.orig/configure.ac 2009-12-16 18:54:31.012265321 +0100
++++ leptonlib-1.62/configure.ac 2009-12-16 18:55:06.954265636 +0100
+@@ -114,7 +114,8 @@ AC_C_BIGENDIAN
+
+ # Check where all the following programs are and set
+ # variables accordingly:
+-AC_PROG_RANLIB
++AC_DISABLE_STATIC
++AC_PROG_LIBTOOL
+ # AC_PROG_LN_S
+ # AC_PATH_PROG(MV, mv)
+ # AC_PATH_PROG(CP, cp)
diff --git a/media-libs/leptonica/leptonica-1.67.ebuild b/media-libs/leptonica/leptonica-1.67.ebuild
new file mode 100644
index 0000000..dc86724
--- /dev/null
+++ b/media-libs/leptonica/leptonica-1.67.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit autotools multilib
+
+MY_P="leptonlib-${PV}"
+DESCRIPTION="An open source C library for image processing and analysis"
+HOMEPAGE="http://www.leptonica.com/"
+SRC_URI="http://www.leptonica.com/source/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64"
+IUSE=""
+
+SLOT="0"
+
+DEPEND="media-libs/jpeg
+ media-libs/giflib
+ media-libs/tiff"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+DOCS=( README version-notes )
+
+src_prepare() {
+ # We need a fake m4 dir, as setting AT_M4DIR to
+ # an empty value does not make eAT forget to
+ # add "-I m4" to the AT commands
+ mkdir m4
+ eautoreconf
+
+ # unhtmlize docs (they're just one big <pre/>s)
+ local docf
+ for _docf in ${DOCS[@]}; do
+ awk '/<\/pre>/{s--} {if (s) print $0} /<pre>/{s++}' \
+ ${_docf}.html > ${_docf} || die 'awk failed.'
+ done
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die 'emake install failed.'
+ dodoc ${DOCS[@]} || die 'dodoc failed.'
+
+ # remove .la file, it was needed only to build shared lib
+ rm "${D}"/usr/$(get_libdir)/liblept.la || die 'rm failed.'
+
+ # remove fake m4 dir
+ rm m4/*
+ rmdir m4
+}